Package org.h2gis.functions.spatial.edit

# Class ST_MultiplyZ

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_MultiplyZ

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_MultiplyZ extends org.h2gis.api.DeterministicScalarFunction

Author:
  ebocher

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ST_MultiplyZ.MultiplyZCoordinateSequenceFilter`
Multiply the z value of each vertex of the Geometry by a double value.

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_MultiplyZ()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`multiplyZ(org.locationtech.jts.geom.Geometry geometry, double z)`
Multiply the z values of the geometry by another double value.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_MultiplyZ

public ST_MultiplyZ()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### multiplyZ

public static org.locationtech.jts.geom.Geometry multiplyZ(org.locationtech.jts.geom.Geometry geometry, double z) throws SQLException
Multiply the z values of the geometry by another double value. NaN values are not updated.

Parameters:
  `geometry` -
  `z` -
Returns:
Throws:
  `SQLException`